Subject: [spring] Questions/comments for draft-raza-spring-sr-policy-yang

From: "Stone, Andrew (Nokia - CA/Ottawa)" <[email-masked]>
Date: Mon, 27 Jul 2020 12:13:06 +0000

Hi Authors,

Any thoughts/comments for the below?

Thanks again,
Andrew

From: spring <[email-masked]> on behalf of "Stone, Andrew (Nokia - CA/Ottawa)" <[email-masked]>
Date: Monday, July 13, 2020 at 3:11 PM
To: "[email-masked]" <[email-masked]>
Subject: Re: [spring] WG Adoption Call for draft-raza-spring-sr-policy-yang

Hello authors. I have some observations/questions:

  1.  Dynamic Candidate path has constraints but no optimization-metric that I can see: i.e find shortest path by TE METRIC, Latency etc. Any plans to add?
  2.  Bandwidth demand appear to be missing. For example, requested would be useful for dynamic candidate path. Any plans to add (bandwidth attributes in general)?
  3.  I’m not sure if this was discussed, but has there been any thoughts around the ability to define constraints per-pre-defined-SID list in a dynamic case? One could almost think of this as being an “Explicit Candidate Path with Dynamic Segment lists” (not actually suggesting that name, just an example)
While ideally TE goals would be expressed as an optimization on the candidate path and the number of SID lists can be determined automatically, some TE rules might not be easy to describe and may be more appropriately defined on individual SID lists.  As a simple example, imagine if one wanted to create a candidate path, and specify TE rules per SID list such as send 50% traffic via red plane, 50% traffic via blue plane.
SR Policy color=100, endpoint 10.0.0.1
  candidate path 1, preference 100
      weight 1 SID list 1 < --- objective latency, include red
      weight 1 SID list 2 < --- objective latency, include blue

Thanks in advance,
Andrew

From: spring <[email-masked]> on behalf of James Guichard <[email-masked]>
Date: Monday, July 13, 2020 at 11:38 AM
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: [spring] WG Adoption Call for draft-raza-spring-sr-policy-yang

Dear WG:

This email begins a 2 week WG adoption call for https://datatracker.ietf.org/doc/draft-raza-spring-sr-policy-yang/ ending Monday 27th July 2020.

Please speak up if you support or oppose adopting this document into the WG. Please also provide comments/reasons for that support (or lack thereof). Silence will not be considered consent.

Thanks!

Jim, Joel & Bruno